/*=====================
   Radar view
=====================*/
#radar-container {
	height: calc(100%);
	will-change: transform;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-perspective: 1000;
	perspective: 1000;
}

.radar-view {
    position: relative;
    float:left;
    width: 100%;

}

#radar-map-wrapper {
	background-color: #1e5799;
    position: absolute;
    width: 100%;
	height: 100%;

	z-index: 1;
}

.radar-map {
    position: absolute;
    width: 100%;

}

.radar-map.baseelement {
    z-index: 1;
}

.radar-map.national {
    z-index: 2;
}

.radar-map.background {
    z-index: 3;
}

.radar-map.topography {
    z-index: 4;
}

.radar-map.range {
    z-index: 5;
}

#radar-transparent {
    position: absolute;
    width: 100%;
	height: 100%;
	z-index: 6;
}

.radar-map.waterways {
    z-index: 7;
}

.radar-map.roads {
    z-index: 8;
    opacity: 0.75;
}

.radar-map.wthrDistricts {
    z-index: 9;
}

.radar-map.catchments {
    z-index: 10;
}

.radar-map.rail {
    z-index: 11;
    opacity: 0.75;
}

.radar-map.locations {
    z-index: 12;
}

.radar-map.observations {
    z-index: 13;
}

.radar-map.disabled {
    display: none;
}

.transition {
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.radar-loader {
    position: relative;
    width: 100%;
    z-index: 999;
    display: none;
}

.radar-loader .loader {
    font-size: 10px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    margin: 0px auto 100px auto;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
}

.mapview {
    display: none;
	overflow: hidden;
}

/*=====================
   Radar Marker
=====================*/
#radar-marker {
    position: absolute;
    margin-top: 13px;
    margin-left: 13px;
}

#radar-circle {
    z-index:5;
    position: absolute;
    width: 12px;
    height: 12px;
    background: #9C27B0;
    opacity: 0.9;
    border: 1px solid #ddd;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}

#radar-direction {
    position: absolute;
    z-index: 4;
    top: -8px;
    left: 1px;
    width: 10px;
    height: 28px;
    display: none;
}

#radar-triangle {
    transform-origin: bottom;
    position: absolute;
    opacity: 0.8;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 9px solid #721D81;
}

#radar-marker:after {
	z-index: 3;
	content: "";
	-webkit-border-radius: 50%;
	border-radius: 50%;
	height: 36px;
	width: 36px;
	position: absolute;
	opacity: 0;
	filter: alpha(opacity=0);
	margin: -12px;

	-webkit-animation: pulsate 1.5s ease-out;
	animation: pulsate 1.5s ease-out;
	
	-webkit-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
	
	-webkit-box-shadow: 0 0 1px 2px #AB83BA;
	box-shadow: 0 0 1px 2px #AB83BA;
	
	-webkit-animation-duration: 3s;
	animation-duration: 3s;
}

@-webkit-keyframes pulsate {
  0% {
    -webkit-transform: scale(0.1, 0.1);
    transform: scale(0.1, 0.1);
    opacity: 0;
    filter: alpha(opacity=0);
  }
  5%,35% {
    opacity: 1;
    filter: none;
  }
  50% {
    -webkit-transform: scale(1.10, 1.10);
    transform: scale(1.10, 1.10);
    opacity: 0;
    filter: alpha(opacity=0);
  }
}

@keyframes pulsate {
  0% {
    -webkit-transform: scale(0.1, 0.1);
    transform: scale(0.1, 0.1);
    opacity: 0;
    filter: alpha(opacity=0);
  }
  5%,35% {
    opacity: 1;
    filter: none;
  }
  50% {
    -webkit-transform: scale(1.10, 1.10);
    transform: scale(1.10, 1.10);
    opacity: 0;
    filter: alpha(opacity=0);
  }
}

/*=====================
   Radar labels
=====================*/
.radar-label {
    color: white;
    position: absolute;
    width: 100%;
    z-index: 20;
    font-size: 14px;
    height: 23px;
}

.left {
    float: left;
    padding-left: 10px;
}

.right {
    float: right;
    padding-right: 10px;
}

.radar-label .left, .radar-label .right {
	line-height: 23px;
}

.radar-options {
	font-size: 13px;
    position: relative;
    background: #3351B3;
    float: left;
    display: none;
    width: 100%;
}

.radar-select {
    width: 20%;
    padding: 0px;
    float: left;
    display: table;
    color: white;
    height: 40px;
    line-height: 40px;
}

.radar-select .radar-span {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
}

.radar-span img {
	width: 32px;
	height: 32px;
	vertical-align: middle;
}
